summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xtaler-build/switch_active.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/taler-build/switch_active.sh b/taler-build/switch_active.sh
index 487a83f..ffa8af4 100755
--- a/taler-build/switch_active.sh
+++ b/taler-build/switch_active.sh
@@ -24,7 +24,7 @@ fi
# build and restart
# FIXME calling 'make check' before switching still missing
-if taler-deployment-build; ! test $? = 0; then
+if ! taler-deployment-build; then
echo "Failed to rebuild, not switching"
else
echo "Successfully built, switching"